# Class CIM_NetworkAdapterRedundancyComponent
extends CIM_RedundancyComponent

Note: The use of the CIM_NetworkAdapterRedundancyComponent class has been deprecated because a specific association is not needed. Instead use the CIM_ OrderedMemberOf Collection class. Deprecated description: CIM_NetworkAdapterRedundancyComponent indicates the role that a NetworkAdapter plays in an ExtraCapacityGroup, providing load balancing.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_RedundancyComponent
|
+--CIM_NetworkAdapterRedundancyComponent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | CIM_OrderedMemberOfCollection
Description | string | Note: The use of the CIM_NetworkAdapterRedundancyComponent class has been deprecated because a specific association is not needed. Instead use the CIM_ OrderedMemberOf Collection class. Deprecated description: CIM_NetworkAdapterRedundancyComponent indicates the role that a NetworkAdapter plays in an ExtraCapacityGroup, providing load balancing.
UMLPackagePath | string | CIM::Device::NetworkAdapter
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PrimaryAdapter | uint16 |
Deprecated | string | CIM_OrderedMemberOfCollection.AssignedSequence
Description | string | Note: The use of this method has been deprecated. Deprecated description: A Boolean that indicates whether the Network Adapter is an original primary adapter (value=1), a preferred primary adapter (value=2), or both (value=3). Values of "Unknown" and "Not Applicable" can also be specified.
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Original Primary, Preferred Primary, Both, Not Applicable
ScopeOfBalancing | uint16 |
Deprecated | string | No value
Description | string | Note: The use of this method has been deprecated. Deprecated description: Indicates the scope of load balancing for the NetworkAdapters that is involved in the RedundancyGroup. Load balancing can be restricted to transmitting data only (value=1), receiving data only (value=2), or used for both transmit and receive (value=3).
ValueMap | string | 0, 1, 2, 3
Values | string | Unknown, Load Balancing - Transmit Only, Load Balancing - Receive Only, Full Load Balancing

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_NetworkAdapterRedundancyComponent | CIM_ExtraCapacityGroup
PartComponent | CIM_NetworkAdapterRedundancyComponent | CIM_NetworkAdapter

## Class Methods